Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026491
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POScriticalalways2014-05-08 12:132014-10-01 16:35
ReporterjecharriView Statuspublic 
Assigned ToOrekaria 
PriorityimmediateResolutionfixedFixed in VersionRMP31.3
StatusclosedFix in branchFixed in SCM revision87d2085aab68
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP31.3SCM revision 
Review Assigned Tomigueldejuana
Regression levelProduction - Confirmed Stable
Regression date2014-01-31
Regression introduced in releaseRMP31.3
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4cf8ba2457c5 [^]
Triggers an Emergency PackNo
Summary

0026491: Cash up is not using the correct G/L item with an specific configuration

DescriptionCash up is not using the correct G/L item with an specific configuration
Steps To Reproduce-Go to POS terminal window and create a new one
-create a credit card payment type using wire transfer payment method
-go to payment method and unchec "automated movement" checkbox
-create another payment type using cash payment method
-in cash payment method check "Count cash" checkbox

-Go to web POS and make a sale in credit card
-Do the cashup

Verify that if you go to the credit payment type financial account, the G/L item that it is using is not correct. It is using cash difference G/L Item instead of cash up G/L Item
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067038)
hgbot (developer)
2014-05-09 13:21

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4410ba5a66b44a6fa7a6e622be20471691cf7b3b
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Fri May 09 13:21:32 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4410ba5a66b44a6fa7a6e622be20471691cf7b3b [^]

fixed issue 0026491: Cash up is not using the correct G/L item with an specific configuration

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0067071)
hgbot (developer)
2014-05-09 16:04

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: 4410ba5a66b44a6fa7a6e622be20471691cf7b3b
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Fri May 09 13:21:32 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/4410ba5a66b44a6fa7a6e622be20471691cf7b3b [^]

fixed issue 0026491: Cash up is not using the correct G/L item with an specific configuration

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0067104)
migueldejuana (developer)
2014-05-13 08:55

Tested and reviewed
(0067470)
hgbot (developer)
2014-05-27 16:27

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: f3bc5f7a0776f55a2a0c84b1564c5893af2ab1b6
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Fri May 09 13:21:32 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/f3bc5f7a0776f55a2a0c84b1564c5893af2ab1b6 [^]

fixed issue 0026491: Cash up is not using the correct G/L item with an specific configuration

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0067472)
hgbot (developer)
2014-05-27 16:27

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: 87d2085aab685a19c27164656d06b3ccecf855e2
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Fri May 09 13:21:32 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/87d2085aab685a19c27164656d06b3ccecf855e2 [^]

fixed issue 0026491: Cash up is not using the correct G/L item with an specific configuration

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0067573)
Orekaria (administrator)
2014-05-29 13:36

wrongly reopened

- Issue History
Date Modified Username Field Change
2014-05-08 12:13 jecharri New Issue
2014-05-08 12:13 jecharri Assigned To => malsasua
2014-05-08 12:13 jecharri Triggers an Emergency Pack => No
2014-05-08 16:55 malsasua Assigned To malsasua => Orekaria
2014-05-08 17:15 malsasua Regression level => Production - Confirmed Stable
2014-05-08 17:15 malsasua Regression date => 2014-01-31
2014-05-08 17:15 malsasua Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4cf8ba2457c5 [^]
2014-05-09 13:21 hgbot Checkin
2014-05-09 13:21 hgbot Note Added: 0067038
2014-05-09 13:21 hgbot Status new => resolved
2014-05-09 13:21 hgbot Resolution open => fixed
2014-05-09 13:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4410ba5a66b44a6fa7a6e622be20471691cf7b3b [^]
2014-05-09 16:04 hgbot Checkin
2014-05-09 16:04 hgbot Note Added: 0067071
2014-05-09 16:04 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4410ba5a66b44a6fa7a6e622be20471691cf7b3b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/4410ba5a66b44a6fa7a6e622be20471691cf7b3b [^]
2014-05-13 08:55 migueldejuana Review Assigned To => migueldejuana
2014-05-13 08:55 migueldejuana Note Added: 0067104
2014-05-13 08:55 migueldejuana Status resolved => closed
2014-05-13 08:55 migueldejuana Fixed in Version => RMP31.3
2014-05-27 16:27 hgbot Checkin
2014-05-27 16:27 hgbot Note Added: 0067470
2014-05-27 16:27 hgbot Status closed => resolved
2014-05-27 16:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/4410ba5a66b44a6fa7a6e622be20471691cf7b3b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/f3bc5f7a0776f55a2a0c84b1564c5893af2ab1b6 [^]
2014-05-27 16:27 hgbot Checkin
2014-05-27 16:27 hgbot Note Added: 0067472
2014-05-27 16:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/f3bc5f7a0776f55a2a0c84b1564c5893af2ab1b6 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/87d2085aab685a19c27164656d06b3ccecf855e2 [^]
2014-05-29 13:36 Orekaria Note Added: 0067573
2014-05-29 13:36 Orekaria Status resolved => closed
2014-10-01 16:35 plujan Regression introduced in release => RMP31.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker